SDL_IOStatus(3type)

NAME
SDL_IOStatus - SDL_IOStream status, set by a read or write operation.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

typedef enum SDL_IOStatus
{
    SDL_IO_STATUS_READY,     /**< Everything is ready (no errors and not EOF). */
    SDL_IO_STATUS_ERROR,     /**< Read or write I/O error */
    SDL_IO_STATUS_EOF,       /**< End of file */
    SDL_IO_STATUS_NOT_READY, /**< Non blocking I/O, not ready */
    SDL_IO_STATUS_READONLY,  /**< Tried to write a read-only buffer */
    SDL_IO_STATUS_WRITEONLY  /**< Tried to read a write-only buffer */
} SDL_IOStatus;

AVAILABILITY
This enum is available since SDL 3.2.0.